Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.userManagement
Class AbstractUser

    java.lang.Object
      org.esupportail.portal.channels.CStockage.userManagement.AbstractUser

Direct Known Subclasses:
  Group, User

public class AbstractUser
extends java.lang.Object

Id: AbstractUser.java,v 1.0 7 oct. 2004 Copyright (c) 2004 Esup Portail (www.esup-portail.org) Classes: AbstractUser Original Author: Yohan Colmant Represents an abstract user for the management

Field Summary
`protected java.lang.String` | `displayName` The displayed user name
`protected java.lang.String` | `key` The key
`protected static Log` | `log` Logger object

Constructor Summary
`AbstractUser()`

Method Summary
`boolean` | `equals(java.lang.Object o)` Check if this user equals the object given in parameter
`java.lang.String` | `getDisplayName()` Get this user's display name
`java.lang.String` | `getKey()` Get the key
`void` | `setDisplayName(java.lang.String displayName)` Set the display name
`void` | `setKey(java.lang.String key)`
`java.lang.String` | `toString()` Return a String from this user

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected static final Log log

  Logger object

### displayName

    protected java.lang.String displayName

  The displayed user name

### key

    protected java.lang.String key

  The key

Constructor Detail

### AbstractUser

    public AbstractUser()

Method Detail

### getDisplayName

    public java.lang.String getDisplayName()

  Get this user's display name

  Returns:
    Returns the displayName.

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

  Set the display name

  Parameters:
    `displayName` - The displayName to set.

### getKey

    public java.lang.String getKey()

  Get the key

  Returns:
    Returns the key.

### setKey

    public void setKey(java.lang.String key)

  Parameters:
    `key` - The key to set.

### equals

    public boolean equals(java.lang.Object o)

  Check if this user equals the object given in parameter

  Parameters:
    `o` - the object to compare
  Returns:
    true if equals, false else

### toString

    public java.lang.String toString()

  Return a String from this user

  Returns:
    a String from this user

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD